# azure.mgmt.logic.operations module

class `azure.mgmt.logic.operations.``WorkflowsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2016-06-01”.

  `create_or_update`(resource_group_name, workflow_name, workflow, custom_headers=None, raw=False, **operation_config)

    Creates or updates a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - workflow (`Workflow`) – The workflow.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Workflow`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Deletes a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `disable`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Disables a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `enable`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Enables a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `generate_upgraded_definition`(resource_group_name, workflow_name, target_schema_version=None, custom_headers=None, raw=False, **operation_config)

    Generates the upgraded definition for a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - target_schema_version (str) – The target schema version.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, workflow_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Workflow`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_resource_group`(resource_group_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflows by resource group.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowPaged`

  `list_by_subscription`(top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflows by subscription.

    Parameters:

    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowPaged`

  `update`(resource_group_name, workflow_name, workflow, custom_headers=None, raw=False, **operation_config)

    Updates a workflow.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - workflow (`Workflow`) – The workflow.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Workflow`
    Return type: | `ClientRawResponse` if raw=true

  `validate`(resource_group_name, location, workflow_name, workflow, custom_headers=None, raw=False, **operation_config)

    Validates the workflow definition.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - location (str) – The workflow location.
    - workflow_name (str) – The workflow name.
    - workflow (`Workflow`) – The workflow definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.logic.operations.``WorkflowVersionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowVersionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2016-06-01”.

  `get`(resource_group_name, workflow_name, version_id, custom_headers=None, raw=False, **operation_config)

    Gets a workflow version.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - version_id (str) – The workflow versionId.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowVersion`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, workflow_name, top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow versions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowVersionPaged`

class `azure.mgmt.logic.operations.``WorkflowTriggersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowTriggersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2016-06-01”.

  `get`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowTrigger`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, workflow_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow triggers.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowTriggerPaged`

  `list_callback_url`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Gets the callback URL for a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowTriggerCallbackUrl`
    Return type: | `ClientRawResponse` if raw=true

  `run`(resource_group_name, workflow_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Runs a workflow trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.logic.operations.``WorkflowTriggerHistoriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowTriggerHistoriesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2016-06-01”.

  `get`(resource_group_name, workflow_name, trigger_name, history_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow trigger history.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - history_name (str) – The workflow trigger history name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowTriggerHistory`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, workflow_name, trigger_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow trigger histories.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - trigger_name (str) – The workflow trigger name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowTriggerHistoryPaged`

class `azure.mgmt.logic.operations.``WorkflowRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2016-06-01”.

  `cancel`(resource_group_name, workflow_name, run_name, custom_headers=None, raw=False, **operation_config)

    Cancels a workflow run.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, workflow_name, run_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow run.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowRun`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, workflow_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow runs.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowRunPaged`

class `azure.mgmt.logic.operations.``WorkflowRunActionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  WorkflowRunActionsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2016-06-01”.

  `get`(resource_group_name, workflow_name, run_name, action_name, custom_headers=None, raw=False, **operation_config)

    Gets a workflow run action.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - action_name (str) – The workflow action name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowRunAction`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, workflow_name, run_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of workflow run actions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - workflow_name (str) – The workflow name.
    - run_name (str) – The workflow run name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkflowRunActionPaged`

class `azure.mgmt.logic.operations.``IntegrationAccountsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2015-08-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, integration_account, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - integration_account (`IntegrationAccount`) – The integration account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccount`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, integration_account_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, integration_account_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccount`
    Return type: | `ClientRawResponse` if raw=true

  `list_by_resource_group`(resource_group_name, top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration accounts by resource group.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountPaged`

  `list_by_subscription`(top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration accounts by subscription.

    Parameters:

    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountPaged`

  `list_callback_url`(resource_group_name, integration_account_name, not_after=None, custom_headers=None, raw=False, **operation_config)

    Lists the integration account callback URL.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - not_after (datetime) – The expiry time.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CallbackUrl`
    Return type: | `ClientRawResponse` if raw=true

  `update`(resource_group_name, integration_account_name, integration_account, custom_headers=None, raw=False, **operation_config)

    Updates an integration account.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - integration_account (`IntegrationAccount`) – The integration account.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccount`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.logic.operations.``IntegrationAccountSchemasOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountSchemasOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2015-08-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, schema_name, schema, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account schema.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - schema (`IntegrationAccountSchema`) – The integration account schema.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountSchema`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, integration_account_name, schema_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account schema.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, integration_account_name, schema_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account schema.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - schema_name (str) – The integration account schema name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountSchema`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account schemas.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountSchemaPaged`

class `azure.mgmt.logic.operations.``IntegrationAccountMapsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountMapsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2015-08-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, map_name, map, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account map.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - map (`IntegrationAccountMap`) – The integration account map.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountMap`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, integration_account_name, map_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account map.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, integration_account_name, map_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account map.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - map_name (str) – The integration account map name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountMap`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account maps.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountMapPaged`

class `azure.mgmt.logic.operations.``IntegrationAccountPartnersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountPartnersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2015-08-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, partner_name, partner, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account partner.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - partner (`IntegrationAccountPartner`) – The integration account partner.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountPartner`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, integration_account_name, partner_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account partner.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, integration_account_name, partner_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account partner.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - partner_name (str) – The integration account partner name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountPartner`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account partners.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountPartnerPaged`

class `azure.mgmt.logic.operations.``IntegrationAccountAgreementsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountAgreementsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2015-08-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, agreement_name, agreement, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account agreement.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - agreement (`IntegrationAccountAgreement`) – The integration account agreement.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountAgreement`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, integration_account_name, agreement_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account agreement.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, integration_account_name, agreement_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account agreement.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - agreement_name (str) – The integration account agreement name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountAgreement`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, integration_account_name, top=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account agreements.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - filter (str) – The filter to apply on the operation.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountAgreementPaged`

class `azure.mgmt.logic.operations.``IntegrationAccountCertificatesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationAccountCertificatesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  Variables: | api_version – The API version. Constant value: “2015-08-01-preview”.

  `create_or_update`(resource_group_name, integration_account_name, certificate_name, certificate, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration account certificate.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - certificate_name (str) – The integration account certificate name.
    - certificate (`IntegrationAccountCertificate`) – The integration account certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountCertificate`
    Return type: | `ClientRawResponse` if raw=true

  `delete`(resource_group_name, integration_account_name, certificate_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration account certificate.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - certificate_name (str) – The integration account certificate name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

  `get`(resource_group_name, integration_account_name, certificate_name, custom_headers=None, raw=False, **operation_config)

    Gets an integration account certificate.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - certificate_name (str) – The integration account certificate name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountCertificate`
    Return type: | `ClientRawResponse` if raw=true

  `list`(resource_group_name, integration_account_name, top=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of integration account certificates.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - integration_account_name (str) – The integration account name.
    - top (int) – The number of items to be included in the result.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `IntegrationAccountCertificatePaged`